# CKEditor&nbsp;5 revision history

[![npm version](https://badge.fury.io/js/%40ckeditor%2Fckeditor5-revision-history.svg)](https://www.npmjs.com/package/@ckeditor/ckeditor5-revision-history)

[CKEditor&nbsp;5 revision history](https://ckeditor.com/ckeditor-5/revision-history/) is a document versioning tool. It allows CKEditor&nbsp;5 users to create and view the chronological revision history of their content. The preview mode allows for easy viewing of content development over time. You can review content changes (both insertions and deletions) as well as suggestions made with the track changes feature.

With this feature, you can easily:

* Create named historical versions &ndash; revisions &ndash; of the content by bundling changes together in a save cycle.
* View the chronological history of revisions of your content.
* Restore an earlier revision of your document to reverse any changes.
* Compare selected revisions to each other and view changes between them.

Version preview mode allows for easy viewing of content development over time. In the preview mode you can track:

* Edits like insertions and deletions, including merges and splits.
* Suggested changes made with the track changes feature.
* Total number of changes made.

![A screenshot of CKEditor&nbsp;5 revision history feature with changes for the chosen version displayed in the editor window and named revisions listed in the sidebar](https://c.cksource.com/a/1/img/npm/ckeditor5-revision-history.png)

## Documentation

For more information about the revision history feature see the [CKEditor&nbsp;5 revision history documentation](https://ckeditor.com/docs/ckeditor5/latest/features/collaboration/revision-history/revision-history.html).

Also, make sure you visit the [CKEditor&nbsp;5 changelog](https://github.com/ckeditor/ckeditor5/blob/master/CHANGELOG.md) whenever a new version of the package is released.

## Browser compatibility

CKEditor&nbsp;5 revision history works in all major modern browsers: Chrome, Firefox, Safari, and Edge. It is also compatible with mobile environments: Android and iOS. Refer to the CKEditor&nbsp;5 [Browser compatibility](https://ckeditor.com/docs/ckeditor5/latest/builds/guides/support/browser-compatibility.html) article for more details.

## Getting support

CKEditor&nbsp;5 revision history comes with outstanding support from a dedicated team of customer care specialists, QA engineers, and CKEditor&nbsp;5 developers. The team will gladly assist you in all aspects from setting up your account to integrating CKEditor&nbsp;5 revision history features with your application.

As a licensed CKEditor&nbsp;5 revision history user you can report bugs and request features directly through the CKEditor Ecosystem customer dashboard.

## License

**CKEditor&nbsp;5 revision history** (https://ckeditor.com/ckeditor-5/revision-history/)<br>
Copyright (c) 2003–2024, [CKSource Holding sp. z o.o.](https://cksource.com) All rights reserved.

CKEditor&nbsp;5 revision history feature is licensed under a commercial license and is protected by copyright law.
For more details about available licensing options please contact us at sales@cksource.com.

### Trademarks

**CKEditor** is a trademark of [CKSource Holding sp. z o.o.](https://cksource.com) All other brand and product names are trademarks, registered trademarks, or service marks of their respective holders.
